'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

var _helpers = require('../../util/helpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; } // Types

// Utils


exports.default = _vue2.default.extend({
    name: 'v-row',
    functional: true,
    props: {
        headers: Array,
        item: Object,
        mobile: Boolean,
        rtl: Boolean
    },
    render: function render(h, _ref) {
        var props = _ref.props,
            slots = _ref.slots,
            data = _ref.data;

        var computedSlots = slots();
        var columns = props.headers.map(function (header) {
            var classes = _defineProperty({}, (0, _helpers.getTextAlignment)(header.align, props.rtl), true);
            var children = [];
            var value = (0, _helpers.getObjectValueByPath)(props.item, header.value);
            var scopedSlot = data.scopedSlots && data.scopedSlots[header.value];
            var regularSlot = computedSlots[header.value];
            if (scopedSlot) {
                children.push(scopedSlot({ item: props.item, header: header, value: value, mobile: props.mobile }));
            } else if (regularSlot) {
                children.push(regularSlot);
            } else {
                if (props.mobile) {
                    children.push(h('div', { class: 'd-flex justify-content-between' }, [h('span', { staticClass: 'v-row__header' }, [header.text]), h('span', { staticClass: 'v-row__value' }, [value])]));
                } else {
                    children.push(value);
                }
            }
            return h('td', {
                class: classes
            }, children);
        });
        return h('tr', data, columns);
    }
});
//# sourceMappingURL=VRow.js.map